#
# spec file for package ghc-yesod-auth-fb
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name yesod-auth-fb
Name:           ghc-%{pkg_name}
Version:        1.9.0
Release:        4.1
Summary:        Authentication backend for Yesod using Facebook
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-fb-devel
BuildRequires:  ghc-http-conduit-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-shakespeare-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unliftio-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-yesod-auth-devel
BuildRequires:  ghc-yesod-core-devel
BuildRequires:  ghc-yesod-fb-devel

%description
This package allows you to use Yesod's authentication framework with Facebook
as your backend. That is, your site's users will log in to your site through
Facebook. Your application need to be registered on Facebook.

This package works with both the server-side authentication flow
(<https://developers.facebook.com/docs/authentication/server-side/>) via the
"Yesod.Auth.Facebook.ServerSide" module and the client-side authentication
(<https://developers.facebook.com/docs/authentication/client-side/>) via the
"Yesod.Auth.Facebook.ClientSide" module. It's up to you to decide which one to
use. The server-side code is older and as such has been through a lot more
testing than the client-side code. Also, for now only the server-side code is
able to work with other authentication plugins. The client-side code, however,
allows you to use some features that are available only to the Facebook JS SDK
(such as automatically logging your users in, see
<https://developers.facebook.com/blog/post/2012/05/08/how-to--improve-the-experience-for-returning-users/>).

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Wed Mar 14 2018 psimons@suse.com
- Update yesod-auth-fb to version 1.9.0.
  A more detailed change log is not available.
